package killer_sokoban;

import java.util.ArrayList;

public class Wall extends AbstractField {
		
	/**Ez a függvény azt jelzi a mező számára, hogy szeretnének rálépni.
	 * @param toward melyik irányból szeretnének rálépni
	 * @param w	munkás, aki a tolást indította
	 * @param m	mozgatható dolog a pályán, ez szeretne a mezőre lépni
	 * @return mindig hamissal tér vissza
	 */
	@Override
	public boolean accept(Direction toward, Worker w, Moveable m) {

		return false;
	}

	/** Megkérdezi a mezőtől, hogy ha egy tolás következne be a paraméterként átadott irányba, akkor ez lehetséges-e.
	 * @param toward ebbe az irányba következne be a tolás
	 * @return	mindig hamissal tér vissza
	 */
	@Override
	public boolean couldMoveOn(Direction toward) {
		return false;
	}
		
	@Override
	public void shouldDraw(View view)
	{
		view.drawWall();
		super.shouldDraw(view);
	}
}

